Package Details: autosuspend 6.1.1-1

Git Clone URL: https://aur.archlinux.org/autosuspend.git (read-only, click to copy)
Package Base: autosuspend
Description: A daemon to suspend and wake up a system based on configurable checks
Upstream URL: https://github.com/languitar/autosuspend
Keywords: daemon energy power server suspend
Licenses: GPL2
Submitter: languitar
Maintainer: languitar
Last Packager: languitar
Votes: 8
Popularity: 0.044636
First Submitted: 2015-09-21 13:19 (UTC)
Last Updated: 2024-02-12 23:21 (UTC)

Dependencies (23)

Required by (0)

Sources (1)

Latest Comments

languitar commented on 2023-07-02 19:37 (UTC)

Sorry for the delay. The missing dependency is added now.

gkatev commented on 2023-05-28 10:07 (UTC)

It looks like python-jsonpath-ng should be listed as a dependency. At least an optional one? -- maybe it's not really required if no JsonPath activity checks are used.

languitar commented on 2023-05-18 21:17 (UTC)

The build is broken because sphinx was moved to version 7 while the rtd theme is not compatible with that version. I'll try to find a workaround.

zenox commented on 2023-05-18 20:48 (UTC) (edited on 2023-05-18 20:49 (UTC) by zenox)

With Arch's change to python 3.11 the build fails for me with

==> Starting build()...

usage: setup.py [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]

error: invalid command 'build_sphinx'

languitar commented on 2017-03-23 08:36 (UTC)

Thanks, I missed that.

nous commented on 2017-03-23 07:30 (UTC)

Please, add 'xprintidle' to depends() or optdepends().